import base64
import json

with open('../../doc/files/license_03-26-2025-21-27-51.bin', 'rb') as f:
    LICENSE = f.read().decode('utf-8')


def test_b64():
    payload = base64.b64decode(LICENSE)
    payload = json.loads(payload)

    license_preamble = payload.get('preamble')
    license_preamble_deployment_token = license_preamble.get('deployment_token')
    license_preamble_product_mapping_token = license_preamble.get('product_mapping_token')
    license_preamble_api_keys_response = license_preamble.get('api_keys_response')
    license_preamble_dls_certificate_token = license_preamble.get('dls_certificate_token')
    license_preamble_dls_feature_display_mapping_token = license_preamble.get('dls_feature_display_mapping_token')
    license_payload = payload.get('payload')

    assert license_preamble is not None
    assert license_preamble_deployment_token is not None
    assert license_preamble_product_mapping_token is not None
    assert license_preamble_api_keys_response is not None
    assert license_preamble_dls_certificate_token is not None
    assert license_preamble_dls_feature_display_mapping_token is not None
    assert license_payload is not None

# todo